Documentation de l'API

Documentation pour les API publiques d'Avalanche Canada

URL de base des prévisions

https://avcan-services-api.prod.avalanche.ca

Pour créer une interface de prévision complète, vous devez généralement utiliser trois points de terminaison ensemble : récupérez les Zones pour afficher les polygones de zones de prévision sur une carte, utilisez les Métadonnées pour colorier les polygones et fournir un texte alternatif, puis récupérez les Produits détaillés pour les pages d'affichage des prévisions.

Point de terminaison
GET /forecasts/{lang}/areas

Récupère toutes les zones de prévision pour la langue spécifiée sous forme d'entités GeoJSON.


Paramètres
ParamètreDansTypeDescription
lang
chemin
string
Language code. Either en or fr.

Schéma de réponse
ChampTypeDescription
features[]
array
Array of GeoJSON feature objects representing forecast areas
features[].id
string
Unique identifier for the forecast area
features[].type
string
GeoJSON feature type (always "Feature")
features[].bbox
array
Bounding box coordinates [minLon, minLat, maxLon, maxLat]
features[].geometry
object
GeoJSON geometry object defining the area boundaries
features[].geometry.type
string
Geometry type (e.g., "MultiPolygon")
features[].geometry.coordinates
array
Polygon coordinate arrays defining area boundaries
features[].properties
object
Properties object containing additional area data
features[].properties.centroid
array
Center point coordinates [longitude, latitude]
features[].properties.id
string
Area identifier (matches feature id)
type
string
GeoJSON collection type (always "FeatureCollection")

{ "features": [ { "id": "03eb3e06c31ffda095ce133e8c6974197efdccd29c7723d078ef27742ff6a762", "type": "Feature", "bbox": [-66.2457, 48.7669, -65.9819, 49.051], "geometry": { "type": "MultiPolygon", "coordinates": [ [ [ [-66.2457, 48.8931], [-66.2411, 48.8896], [-66.2337, 48.8803], [-66.225, 48.8742], [-66.1971, 48.8653], [-66.1795, 48.8611], [-66.1616, 48.8592], [-66.1487, 48.8559], [-66.1346, 48.8517], [-66.2457, 48.8931] ] ] ] }, "properties": { "centroid": [-66.08685907369768, 48.90968671256848], "id": "03eb3e06c31ffda095ce133e8c6974197efdccd29c7723d078ef27742ff6a762" } } ], "type": "FeatureCollection" }

Point de terminaison
GET /forecasts/{lang}/metadata

Récupère les métadonnées des prévisions dans la langue spécifiée.


Paramètres
ParamètreDansTypeDescription
lang
chemin
string
Language code. Either en or fr.

Schéma de réponse
ChampTypeDescription
product.slug
string
URL-friendly slug for the forecast product
product.type
string
Type of forecast (e.g., "avalancheforecast")
product.title
string
Title of the forecast product
product.id
string
Unique identifier for the forecast product
product.reportId
string
Unique identifier for the forecast report
area.id
string
Unique identifier for the forecast area
area.name
string
Name of the forecast area
area.bbox
array
Bounding box coordinates [minLon, minLat, maxLon, maxLat]
icons[]
array
Array of rating icons for different time periods
icons[].type
string
Type of icon (e.g., "ratings")
icons[].from
string
Start time for this rating period (ISO date)
icons[].to
string
End time for this rating period (ISO date)
icons[].ratings
object
Danger ratings for alpine, treeline, and below treeline
icons[].ratings.alp
string
Alpine danger rating
icons[].ratings.tln
string
Treeline danger rating
icons[].ratings.btl
string
Below treeline danger rating
icons[].graphic
object
Graphic representation of the ratings
icons[].graphic.id
string
Identifier for the rating graphic
icons[].graphic.url
string
URL to the rating graphic SVG
icons[].graphic.alt
string
Alt text for the graphic
centroid
object
Geographic center point of the forecast area
centroid.longitude
number
Longitude of the area centroid
centroid.latitude
number
Latitude of the area centroid
url
string
Direct URL to the forecast page
owner.value
string
Owner organization identifier
owner.display
string
Display name of owner organization
owner.isExternal
boolean
Whether owner is external organization
owner.url
string
URL or name of owner organization
highestDanger
object
Highest danger rating for this forecast
highestDanger.value
string
Value of the highest danger rating
highestDanger.display
string
Display text for the highest danger rating
highestDanger.colour
string
Color associated with the danger rating

[ { "product": { "slug": "cf3d35b9-4a85-4100-9c31-e3ce10353822_d15dff296f550c29a26e3203191d60ed0a36eeda9361320a324047b0850d77ea", "type": "avalancheforecast", "title": "Bow Valley-Highwood Pass-North 40-Spray - KLakes", "id": "cf3d35b9-4a85-4100-9c31-e3ce10353822_d15dff296f550c29a26e3203191d60ed0a36eeda9361320a324047b0850d77ea", "reportId": "cf3d35b9-4a85-4100-9c31-e3ce10353822_d15dff296f550c29a26e3203191d60ed0a36eeda9361320a324047b0850d77ea" }, "area": { "id": "d15dff296f550c29a26e3203191d60ed0a36eeda9361320a324047b0850d77ea", "name": "Bow Valley-Highwood Pass-North 40-Spray - KLakes", "bbox": [ -115.46851579999998, 50.485601247000034, -114.821596538, 51.156121400000075 ] }, "icons": [ { "type": "ratings", "from": "0001-01-01T00:00:00Z", "to": "2025-07-02T20:45:59Z", "ratings": { "alp": "norating", "tln": "norating", "btl": "norating" }, "graphic": { "id": "norating-norating-norating", "url": "https://assets.avalanche.ca/graphics/forecast/rating/norating-norating-norating.svg", "alt": "" } }, { "type": "ratings", "from": "2025-07-02T20:45:59Z", "to": "2025-07-03T20:45:59Z", "ratings": { "alp": "norating", "tln": "norating", "btl": "norating" }, "graphic": { "id": "norating-norating-norating", "url": "https://assets.avalanche.ca/graphics/forecast/rating/norating-norating-norating.svg", "alt": "" } } ], "centroid": { "longitude": -115.1958225555043, "latitude": 50.78856882104437 }, "url": "https://avalanche.ca/en/forecasts/cf3d35b9-4a85-4100-9c31-e3ce10353822_d15dff296f550c29a26e3203191d60ed0a36eeda9361320a324047b0850d77ea", "owner": { "value": "kananaskis", "display": "Kananaskis", "isExternal": false, "url": "Kananaskis" }, "highestDanger": { "value": "norating", "display": "No Rating", "colour": "white" } } ]

Point de terminaison
GET /forecasts/{lang}/products

Récupère tous les produits de prévision pour la langue spécifiée.


Paramètres
ParamètreDansTypeDescription
lang
chemin
string
Language code. Either en or fr.

Schéma de réponse
ChampTypeDescription
id
string
Unique identifier for the forecast product
slug
string
URL-friendly slug for the forecast
url
string
Direct URL to the forecast page
type
string
Type of forecast (e.g., "avalancheforecast")
area.id
string
Unique identifier for the forecast area
area.name
string
Name of the forecast area
area.bbox
array|null
Bounding box coordinates or null if not available
report.id
string
Unique identifier for the forecast report
report.forecaster
string
Name of the forecasting organization
report.dateIssued
string
ISO date when the forecast was issued
report.validUntil
string
ISO date when the forecast expires
report.timezone
string
Timezone for the forecast dates
report.title
string
Title of the forecast area
report.highlights
string
HTML content with forecast highlights
report.confidence.rating
object
Confidence rating for the forecast
report.summaries[]
array
Array of forecast summary sections
report.summaries[].type
object
Type of summary (avalanche, weather, etc.)
report.summaries[].content
string
HTML content of the summary
report.dangerRatings[]
array
Daily danger ratings for alpine, treeline, and below treeline
report.dangerRatings[].date
object
Date information for the rating
report.dangerRatings[].ratings
object
Danger ratings by elevation zone
report.problems[]
array
Array of avalanche problems
report.terrainAndTravelAdvice[]
array
Travel and terrain advice
report.isFullTranslation
boolean
Whether forecast is fully translated
version
number
Version number of the forecast
owner.value
string
Owner organization identifier
owner.display
string
Display name of owner organization
owner.isExternal
boolean
Whether owner is external organization
owner.url
string
URL of owner organization
notifications[]
array
Array of notification messages
notifications[].type
string
Type of notification (info, warning, etc.)
notifications[].content
string
HTML content of notification
media.images[]
array
Array of associated images

[ { "id": "8c73a629-a4ba-4bc6-abc3-a1bdda2aa584_426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "slug": "8c73a629-a4ba-4bc6-abc3-a1bdda2aa584_426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "url": "https://avalanche.ca/forecasts/8c73a629-a4ba-4bc6-abc3-a1bdda2aa584_426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "type": "avalancheforecast", "area": { "id": "426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "name": "426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "bbox": null }, "report": { "id": "8c73a629-a4ba-4bc6-abc3-a1bdda2aa584_426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "forecaster": "Parks Canada", "dateIssued": "2025-07-01T23:00:00.000Z", "validUntil": "2025-10-15T23:00:00.000Z", "timezone": "America/Edmonton", "title": "Brazeau-Churchill-Cirrus-Wilson-Fryatt-Icefields-Maligne-Marmot-Miette Lake-Pyramid", "highlights": "<p><strong>Avalanche forecasts are not issued during the summer months.</strong></p>", "confidence": { "rating": { "value": "noRating", "display": "No Rating" } }, "summaries": [ { "type": { "value": "avalanche-summary", "display": "Avalanche Summary" }, "content": "<p>Check the <a href=\"https://avalanche.ca/en/map\">Avalanche Canada</a> map page for recent information.</p>" } ], "dangerRatings": [ { "date": { "value": "2025-07-02T23:00:00Z", "display": "Wednesday" }, "ratings": { "alp": { "display": "Alpine", "rating": { "value": "norating", "display": "No Rating" } }, "tln": { "display": "Treeline", "rating": { "value": "norating", "display": "No Rating" } }, "btl": { "display": "Below Treeline", "rating": { "value": "norating", "display": "No Rating" } } } } ], "problems": [], "terrainAndTravelAdvice": [], "isFullTranslation": true }, "version": 1, "owner": { "value": "parks-jasper", "display": "Parks Canada", "isExternal": false, "url": "Parks Canada" }, "notifications": [ { "type": "info", "content": "Seasonal closures for caribou conservation in Jasper National Park are in effect from November to May." } ], "media": { "images": [] } } ]

Point de terminaison
GET /forecasts/{lang}/products/{id}

Récupère un produit de prévision spécifique par son identifiant pour la langue spécifiée.


Paramètres
ParamètreDansTypeDescription
lang
chemin
string
Language code. Either en or fr.
id
chemin
string
Unique identifier for the forecast product.

Schéma de réponse
ChampTypeDescription
id
string
Unique identifier for the forecast product
slug
string
URL-friendly slug for the forecast
url
string
Direct URL to the forecast page
type
string
Type of forecast (e.g., "avalancheforecast")
area.id
string
Unique identifier for the forecast area
area.name
string
Name of the forecast area
area.bbox
array|null
Bounding box coordinates or null if not available
report.id
string
Unique identifier for the forecast report
report.forecaster
string
Name of the forecasting organization
report.dateIssued
string
ISO date when the forecast was issued
report.validUntil
string
ISO date when the forecast expires
report.timezone
string
Timezone for the forecast dates
report.title
string
Title of the forecast area
report.highlights
string
HTML content with forecast highlights
report.confidence.rating
object
Confidence rating for the forecast
report.summaries[]
array
Array of forecast summary sections
report.summaries[].type
object
Type of summary (avalanche, weather, etc.)
report.summaries[].content
string
HTML content of the summary
report.dangerRatings[]
array
Daily danger ratings for alpine, treeline, and below treeline
report.dangerRatings[].date
object
Date information for the rating
report.dangerRatings[].ratings
object
Danger ratings by elevation zone
report.problems
array|null
Array of avalanche problems or null
report.terrainAndTravelAdvice
array|null
Travel and terrain advice or null
report.message
string|null
Additional message or null
report.season
string|null
Season information or null
report.comment
string|null
Additional comments or null
report.isFullTranslation
boolean
Whether forecast is fully translated
version
number
Version number of the forecast
owner.value
string
Owner organization identifier
owner.display
string
Display name of owner organization
owner.isExternal
boolean
Whether owner is external organization
owner.url
string
URL of owner organization
notifications[]
array
Array of notification messages
notifications[].type
string
Type of notification (info, warning, etc.)
notifications[].content
string
HTML content of notification
media.images
array|null
Array of associated images or null

{ "id": "8c73a629-a4ba-4bc6-abc3-a1bdda2aa584_426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "slug": "8c73a629-a4ba-4bc6-abc3-a1bdda2aa584_426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "url": "https://avalanche.ca/forecasts/8c73a629-a4ba-4bc6-abc3-a1bdda2aa584_426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "type": "avalancheforecast", "area": { "id": "426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "name": "426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "bbox": null }, "report": { "id": "8c73a629-a4ba-4bc6-abc3-a1bdda2aa584_426b4bc4f761f2890921214b32ed3bf9f5de086f39b6f755296daf3a3048587e", "forecaster": "Parks Canada", "dateIssued": "2025-07-01T23:00:00.000Z", "validUntil": "2025-10-15T23:00:00.000Z", "timezone": "America/Edmonton", "title": "Brazeau-Churchill-Cirrus-Wilson-Fryatt-Icefields-Maligne-Marmot-Miette Lake-Pyramid", "highlights": "<p><strong>Avalanche forecasts are not issued during the summer months.</strong></p>", "confidence": { "rating": { "value": "noRating", "display": "No Rating" } }, "summaries": [ { "type": { "value": "avalanche-summary", "display": "Avalanche Summary" }, "content": "<p>Check the <a href=\"https://avalanche.ca/en/map\">Avalanche Canada</a> map page for recent information.</p>" }, { "type": { "value": "weather-summary", "display": "Weather Summary" }, "content": "<p>For recent weather, see telemetry stations on the Avalanche Canada website.</p>" } ], "dangerRatings": [ { "date": { "value": "2025-07-02T23:00:00Z", "display": "Wednesday" }, "ratings": { "alp": { "display": "Alpine", "rating": { "value": "norating", "display": "No Rating" } }, "tln": { "display": "Treeline", "rating": { "value": "norating", "display": "No Rating" } }, "btl": { "display": "Below Treeline", "rating": { "value": "norating", "display": "No Rating" } } } } ], "problems": null, "terrainAndTravelAdvice": null, "message": null, "season": null, "comment": null, "isFullTranslation": true }, "version": 1, "owner": { "value": "parks-jasper", "display": "Parks Canada", "isExternal": false, "url": "Parks Canada" }, "notifications": [ { "type": "info", "content": "Seasonal closures for caribou conservation in Jasper National Park are in effect from November to May." } ], "media": { "images": null } }

Point de terminaison
GET /forecasts/{lang}/products/point?lat={latitude}&long={longitude}

Récupère le produit de prévision pour un point géographique spécifique en utilisant les coordonnées de latitude et de longitude.


Paramètres
ParamètreDansTypeDescription
lang
chemin
string
Language code. Either en or fr.
lat
requête
number
Latitude coordinate of the geographic point.
long
requête
number
Longitude coordinate of the geographic point.

Schéma de réponse
ChampTypeDescription
id
string
Unique identifier for the forecast product
slug
string
URL-friendly slug for the forecast
url
string
Direct URL to the forecast page
type
string
Type of forecast (e.g., "avalancheforecast")
area.id
string
Unique identifier for the forecast area
area.name
string
Name of the forecast area
area.bbox
array|null
Bounding box coordinates or null if not available
report.id
string
Unique identifier for the forecast report
report.forecaster
string
Name of the forecasting organization
report.dateIssued
string
ISO date when the forecast was issued
report.validUntil
string
ISO date when the forecast expires
report.timezone
string
Timezone for the forecast dates
report.title
string
Title of the forecast area
report.highlights
string
HTML content with forecast highlights
report.confidence.rating
object
Confidence rating for the forecast
report.summaries[]
array
Array of forecast summary sections
report.summaries[].type
object
Type of summary (avalanche, weather, etc.)
report.summaries[].content
string
HTML content of the summary
report.dangerRatings[]
array
Daily danger ratings for alpine, treeline, and below treeline
report.dangerRatings[].date
object
Date information for the rating
report.dangerRatings[].ratings
object
Danger ratings by elevation zone
report.problems[]
array
Array of avalanche problems
report.terrainAndTravelAdvice[]
array
Travel and terrain advice
report.isFullTranslation
boolean
Whether forecast is fully translated
version
number
Version number of the forecast
owner.value
string
Owner organization identifier
owner.display
string
Display name of owner organization
owner.isExternal
boolean
Whether owner is external organization
owner.url
string
URL of owner organization
notifications[]
array
Array of notification messages
notifications[].type
string
Type of notification (info, warning, etc.)
notifications[].content
string
HTML content of notification
media.images[]
array
Array of associated images

{ "id": "fd454b8f-9e36-429d-8f57-8f6172386809_53bb614cadbd487077d867dec6007dfed090d20fbc0cbfe941451b6af2df33ed", "slug": "fd454b8f-9e36-429d-8f57-8f6172386809_53bb614cadbd487077d867dec6007dfed090d20fbc0cbfe941451b6af2df33ed", "url": "https://avalanche.ca/forecasts/fd454b8f-9e36-429d-8f57-8f6172386809_53bb614cadbd487077d867dec6007dfed090d20fbc0cbfe941451b6af2df33ed", "type": "avalancheforecast", "area": { "id": "53bb614cadbd487077d867dec6007dfed090d20fbc0cbfe941451b6af2df33ed", "name": "53bb614cadbd487077d867dec6007dfed090d20fbc0cbfe941451b6af2df33ed", "bbox": null }, "report": { "id": "fd454b8f-9e36-429d-8f57-8f6172386809_53bb614cadbd487077d867dec6007dfed090d20fbc0cbfe941451b6af2df33ed", "forecaster": "Avalanche Canada", "dateIssued": "2025-06-30T23:00:00.000Z", "validUntil": "2025-10-01T23:00:00.000Z", "timezone": "America/Vancouver", "title": "Blue River-Clearwater-McBride-Premier-Quesnel-Sugarbowl-Bonnington-Grohman-Kootenay Pass-Norns-Rossland-South Okanagan-Ymir-Akamina-Flathead-Lizard-Clemina-Esplanade-Jordan-North Monashee-North Selkirk-Shuswap-East Kakwa-Kakwa-McGregor-Pine Pass-Renshaw-Robson-Tumbler-Boundary-Kitimat-Nass-Rupert-Seven Sisters-Shames-Stewart-Howson-Kispiox-Microwave-Sinclair-Ningunsaw-North Bulkley-South Bulkley-Telkwa-Crawford-Dogtooth-East Purcell-Moyie-St. Mary-West Purcell-Brandywine-Garibaldi-Homathko-Powell River-Spearhead-Tantalus-North Shore-Sasquatch-Sky Pilot-Tetrahedron-Birkenhead-Coquihalla-Duffey-Harrison-Fraser-Manning-Skagit-South Chilcotin-Stein-Taseko-Badshot-Battle-Central Selkirk-Goat-Gold-Kokanee-North Okanagan-Retallack-Valhalla-Whatshan-Bull-Crowsnest North-Crowsnest South-Elkford East-Elkford West-East Island-North Island-South Island-West Island-Tutshi-Wheaton-White Pass East-White Pass West-Haines Pass", "highlights": "<p>Regular avalanche forecasts have ended for the season and will restart in November. Be aware that avalanche danger may still exist in some high elevation areas.</p>", "confidence": { "rating": { "value": "noRating", "display": "No Rating" } }, "summaries": [ { "type": { "value": "weather-summary", "display": "Weather Summary" }, "content": " <p>More details can be found in the <a href =\"https://www.avalanche.ca/weather/forecast\">Mountain Weather Forecast</a>.</p>" } ], "dangerRatings": [ { "date": { "value": "2025-07-01T23:00:00Z", "display": "Tuesday" }, "ratings": { "alp": { "display": "Alpine", "rating": { "value": "norating", "display": "No Rating" } }, "tln": { "display": "Treeline", "rating": { "value": "norating", "display": "No Rating" } }, "btl": { "display": "Below Treeline", "rating": { "value": "norating", "display": "No Rating" } } } }, { "date": { "value": "2025-07-02T23:00:00Z", "display": "Wednesday" }, "ratings": { "alp": { "display": "Alpine", "rating": { "value": "norating", "display": "No Rating" } }, "tln": { "display": "Treeline", "rating": { "value": "norating", "display": "No Rating" } }, "btl": { "display": "Below Treeline", "rating": { "value": "norating", "display": "No Rating" } } } }, { "date": { "value": "2025-07-03T23:00:00Z", "display": "Thursday" }, "ratings": { "alp": { "display": "Alpine", "rating": { "value": "norating", "display": "No Rating" } }, "tln": { "display": "Treeline", "rating": { "value": "norating", "display": "No Rating" } }, "btl": { "display": "Below Treeline", "rating": { "value": "norating", "display": "No Rating" } } } } ], "problems": [], "terrainAndTravelAdvice": [], "message": null, "season": null, "comment": null, "isFullTranslation": false }, "version": 1, "owner": { "value": "avalanche-canada", "display": "Avalanche Canada", "isExternal": false, "url": "https://avalanche.ca/en" }, "media": { "images": [] } }

URL de base météo

https://weather.prod.avalanche.ca

Point de terminaison
GET /stations

Récupère toutes les stations météorologiques disponibles.


Schéma de réponse
ChampTypeDescription
stationId
number
Unique identifier for the weather station
name
string
Name of the weather station
latitude
number
Latitude coordinate of the station location
longitude
number
Longitude coordinate of the station location
elevation
number
Elevation of the station in meters
timezone
string
Timezone for the station
externalId
string
External identifier for the station from the data source
source
string
Source organization or system providing the station data

[ { "stationId": 1, "name": "Burstall Pass", "latitude": 50.758183, "longitude": -115.36667, "elevation": 2300, "timezone": "America/Edmonton", "externalId": "C4000254", "source": "Kananaskis Country" }, { "stationId": 3, "name": "Mud Lake", "latitude": 50.794167, "longitude": -115.30714, "elevation": 1900, "timezone": "America/Edmonton", "externalId": "ABC01084", "source": "Kananaskis Country" } ]

Point de terminaison
GET /stations/{stationId}/measurements?fromDate={fromDate}&toDate={toDate}

Récupère les mesures météorologiques pour une station météorologique spécifique par identifiant de station. Des paramètres de requête optionnels fromDate et toDate peuvent être utilisés pour filtrer les mesures par plage de dates. Si aucune date n'est fournie, retourne les données de la dernière semaine.


Paramètres
ParamètreDansTypeDescription
stationId
chemin
number
Unique identifier for the weather station.
fromDate
requête
string
Start date for filtering measurements in ISO 8601 format (e.g. 2025-12-12T17:00:00Z). If not provided, defaults to one week ago.(facultatif)
toDate
requête
string
End date for filtering measurements in ISO 8601 format (e.g. 2025-12-14T17:00:00Z). If not provided, defaults to now.(facultatif)

Schéma de réponse
ChampTypeDescription
measurements[]
array
Array of weather measurements
measurements[].stationId
number
Station identifier (matches the requested station ID)
measurements[].measurementDateTime
string
ISO date and time of the measurement
measurements[].snowHeight
number
Snow height in cm
measurements[].airTempAvg
number
Average air temperature in degrees Celsius
measurements[].airTempMax
number
Maximum air temperature in degrees Celsius
measurements[].airTempMin
number
Minimum air temperature in degrees Celsius
measurements[].windSpeedAvg
number
Average wind speed in km/h
measurements[].windDirAvg
number
Average wind direction in degrees
measurements[].windDirCompass
string
Average wind direction as compass direction (N, NE, E, SE, S, SW, W, NW)
measurements[].windSpeedGust
number
Wind gust speed in km/h
measurements[].windDirGust
number
Wind gust direction in degrees
measurements[].windDirGustCompass
string
Wind gust direction as compass direction (N, NE, E, SE, S, SW, W, NW)
measurements[].relativeHumidity
number
Relative humidity percentage
measurements[].hourlySnow
number|null
Hourly snowfall in cm. May not be present in the JSON response if unavailable.
measurements[].hourlyPrecip
number|null
Hourly precipitation in mm. May not be present in the JSON response if unavailable.
measurements[].totalPrecip
number|null
Total precipitation in mm. May not be present in the JSON response if unavailable.
measurements[].stationPressure
number|null
Station pressure in hPa. May not be present in the JSON response if unavailable.
measurements[].snowTemp
number|null
Snow temperature in degrees Celsius. May not be present in the JSON response if unavailable.
measurements[].newSnow
number|null
New snow in cm. May not be present in the JSON response if unavailable.
measurements[].snowWaterEquivalent
number|null
Snow water equivalent in mm. May not be present in the JSON response if unavailable.

[ { "stationId": 1, "measurementDateTime": "2025-12-15T17:00:00Z", "snowHeight": 113.9, "airTempAvg": -1.5, "airTempMax": -1.5, "airTempMin": -1.8, "windSpeedAvg": 12.3, "windDirAvg": 213, "windDirCompass": "SW", "windSpeedGust": 32.7, "windDirGust": 215, "windDirGustCompass": "SW", "relativeHumidity": 77 }, { "stationId": 1, "measurementDateTime": "2025-12-15T09:00:00Z", "snowHeight": 110.4, "airTempAvg": -1.1, "airTempMax": -1.1, "airTempMin": -1.6, "windSpeedAvg": 7.2, "windDirAvg": 248, "windDirCompass": "W", "windSpeedGust": 31.7, "windDirGust": 226, "windDirGustCompass": "SW", "relativeHumidity": 93 } ]

URL de base MIN / Rapports de randonnée

https://avcan-services-api.prod.avalanche.ca

Point de terminaison
GET /min/{lang}/submissions?fromdate={fromdate}&pagesize={pagesize}

Paramètres de requête
ParamètreDansTypeDescription
lang
chemin
string
Code de langue. Soit en soit fr.
fromdate
requête
string
Date de début au format YYYY-MM-DD (p. ex. 2026-04-06).
pagesize
requête
number
Nombre de résultats à retourner par page.

Ce point de terminaison n'est pas documenté et peut être modifié sans préavis.